Pangkalahatang-ideya ng key
| Bersiyon ng key | V4 |
|---|---|
| Espesipikasyon | RFC 2440 · RFC 4880 · RFC 9580 |
| Katayuan | Compatible, ngunit hindi na inirerekomenda ng RFC 9580 |
| Pangunahing key (pagsertipika, paglagda) | ECDSA NIST P-521 · ID 19 · SHA-512 |
| Encryption subkey | ECDH NIST P-521 · ID 18 |
| Fingerprint | 388CB0449DA27910B500892F28877C8D10C07DAD |
| Passphrase ng pribadong key | synthetic-key-password |
Mga algorithm at gamit
ECDSA NIST P-521: Elliptic-curve na lagda sa NIST P-521 curve gamit ang SHA-512, ang pinakamalakas na NIST curve.
ECDH NIST P-521: Elliptic-curve Diffie-Hellman na encryption subkey sa NIST P-521.
Pampublikong key
Ang pampublikong sertipiko na may pangunahing key, encryption subkey at mga lagdang nag-uugnay sa mga ito. I-import upang mag-verify ng mga lagda o mag-encrypt para sa test identity na ito.
I-download → 1 083 byte
-----BEGIN PGP PUBLIC KEY BLOCK-----
xpMEaveFEBMFK4EEACMEIwQAJ8cqHEUcBmsI5vIdHSGTFAcMpx3sc8XSRpYEmB/e
UqwvhHhIkmH1mOPcDvnBAErw94Z77wf5JWa+IdU7cShW3WIBWK4vxwMSgqki25XF
GyN04+acfyu8da2sIqOuvnGCOrabGn1KqNBIRf9gH0tgPtpVYbO0VXjPFWsD49Yr
p7IrggbNJkNILUogbWF0cml4IDIzLXY0LWVjZHNhLXA1MjErZWNkaC1wNTIxwsAP
BBMTCgA0BQJq94UQFiEEOIywRJ2ieRC1AIkvKId8jRDAfa0CGwMCHgEDCwkHARUB
FgUnCQIHAgIZAQAKCRAoh3yNEMB9rciyAgduckPcZjmuj5REwl6yjk4iAaxWNd5u
tA1izH/GIUIlRjabBltP7/C6Uu9N0sIOij+4dtPQbPWNvZF5PbUQHdjYlAIJATq2
O62X+mPygzIRQwfSzcCV2isPpcHM8JRyVOKiCjFY3P+fnhWSHtri0hWrSWoY1LNZ
ffAFM6l80CbMYGa6PWfvzpcEaveFEBIFK4EEACMEIwQAz4bUtXWqk9w1KSryZ1au
oXTDRmgEiJ5xE9/V1ttjLEbBw53No9uCtMc40Ehw5WVOFmHIPvJPNLkKrWssvmWC
8n4ABFiS+k0m8v4OnP18v08JESELhMwhbBATQV8UdmnIOtzhDyFG0j18pjtVg48o
XmkF7HIY5r8dPdJ7242Ro4xGWp0DAQoJwroEGBMKACAFAmr3hRAWIQQ4jLBEnaJ5
ELUAiS8oh3yNEMB9rQIbDAAKCRAoh3yNEMB9rZTKAgjMoZTROxBjdmuf+5rlIPWM
BjSt8vpq6cYfwkPOFzxUg045F7VqNFPZ8X6CX9KLtkAOqcvcOW4PiW+AmI+8UVTa
MAIIwogAMoNzCqdhP+vAgutG6tPzTGXVWvyNIKLYdsoStr6LgYA/VS2+KRL1T9An
AIyRZV8jNeMtEhQ0R1UXPw/ZBC0=
=QiK0
-----END PGP PUBLIC KEY BLOCK-----
Pribadong key
Ang pribadong key na protektado ng passphrase na ipinapakita sa itaas. Inilathala para sa pagsubok lamang: magagamit ito ng sinuman.
I-download → 1 406 byte
Ipakita
-----BEGIN PGP PRIVATE KEY BLOCK-----
xcBIBGr3hRATBSuBBAAjBCMEACfHKhxFHAZrCObyHR0hkxQHDKcd7HPF0kaWBJgf
3lKsL4R4SJJh9Zjj3A75wQBK8PeGe+8H+SVmviHVO3EoVt1iAViuL8cDEoKpItuV
xRsjdOPmnH8rvHWtrCKjrr5xgjq2mxp9SqjQSEX/YB9LYD7aVWGztFV4zxVrA+PW
K6eyK4IG/gkDCMJjfUntPNFK4OxFGLoXdfO9NggytjV16HR06alb1DWdQfaIMQcR
Xz7RIEo1zfWeAb7mJuECPsVoCxolgBTm/YifyGZ9qi8vQdhEECGdh8lByFSjsAB/
OyDJjkSDjgI+E5K7GlTtVrGQ/wbKgSITloLMzSZDSC1KIG1hdHJpeCAyMy12NC1l
Y2RzYS1wNTIxK2VjZGgtcDUyMcLADwQTEwoANAUCaveFEBYhBDiMsESdonkQtQCJ
LyiHfI0QwH2tAhsDAh4BAwsJBwEVARYFJwkCBwICGQEACgkQKId8jRDAfa3IsgIH
bnJD3GY5ro+URMJeso5OIgGsVjXebrQNYsx/xiFCJUY2mwZbT+/wulLvTdLCDoo/
uHbT0Gz1jb2ReT21EB3Y2JQCCQE6tjutl/pj8oMyEUMH0s3AldorD6XBzPCUclTi
ogoxWNz/n54Vkh7a4tIVq0lqGNSzWX3wBTOpfNAmzGBmuj1n78fATARq94UQEgUr
gQQAIwQjBADPhtS1daqT3DUpKvJnVq6hdMNGaASInnET39XW22MsRsHDnc2j24K0
xzjQSHDlZU4WYcg+8k80uQqtayy+ZYLyfgAEWJL6TSby/g6c/Xy/TwkRIQuEzCFs
EBNBXxR2acg63OEPIUbSPXymO1WDjyheaQXschjmvx090nvbjZGjjEZanQMBCgn+
CQMIrrzwYdygBM/gYPOeB3AqKlleT6501mbl9wj9hiL4bKDJ7Qm+S6FZ/7MTMdpP
zHYcNAptHZDgS6iiv9UkmSL0s758OMlt6VavLLuAzkv7OYKen5P64lUnPxXey3Q4
isOl+3fBNsGxpV73SQy0h/42KGvCugQYEwoAIAUCaveFEBYhBDiMsESdonkQtQCJ
LyiHfI0QwH2tAhsMAAoJECiHfI0QwH2tlMoCCMyhlNE7EGN2a5/7muUg9YwGNK3y
+mrpxh/CQ84XPFSDTjkXtWo0U9nxfoJf0ou2QA6py9w5bg+Jb4CYj7xRVNowAgjC
iAAyg3MKp2E/68CC60bq0/NMZdVa/I0goth2yhK2vouBgD9VLb4pEvVP0CcAjJFl
XyM14y0SFDRHVRc/D9kELQ==
=Mpic
-----END PGP PRIVATE KEY BLOCK-----
Sertipiko ng pagbawi
Isang sertipiko ng pagbawi na ginawa na nang maaga. Minamarkahan ng pag-import nito ang key bilang binawi; inilathala ito upang masubukan mo kung paano hinahawakan ng software ang mga binawing key.
I-download → 1 335 byte
Ipakita
-----BEGIN PGP PUBLIC KEY BLOCK-----
xpMEaveFEBMFK4EEACMEIwQAJ8cqHEUcBmsI5vIdHSGTFAcMpx3sc8XSRpYEmB/e
UqwvhHhIkmH1mOPcDvnBAErw94Z77wf5JWa+IdU7cShW3WIBWK4vxwMSgqki25XF
GyN04+acfyu8da2sIqOuvnGCOrabGn1KqNBIRf9gH0tgPtpVYbO0VXjPFWsD49Yr
p7IrggbCuAQgEwoAHQUCaveFEBYhBDiMsESdonkQtQCJLyiHfI0QwH2tAAoJECiH
fI0QwH2tKLYCB3puEL8MsEeLpDrwDNx0Kbo7EnnN8aMUgg/s7smg7aq2VJIjFJPP
ub1gpJ1KNDvHgEGiRSDjAX3414kplPFmMos+AgkB41Th0n6SRprodjCTHdGO4Mnp
yH01NVffdAaSOv6CPW+mCSiPrQERQVKnEUQhzj/8eSTgUy4x0ZddmbtnYxLFM4bN
JkNILUogbWF0cml4IDIzLXY0LWVjZHNhLXA1MjErZWNkaC1wNTIxwsAPBBMTCgA0
BQJq94UQFiEEOIywRJ2ieRC1AIkvKId8jRDAfa0CGwMCHgEDCwkHARUBFgUnCQIH
AgIZAQAKCRAoh3yNEMB9rciyAgduckPcZjmuj5REwl6yjk4iAaxWNd5utA1izH/G
IUIlRjabBltP7/C6Uu9N0sIOij+4dtPQbPWNvZF5PbUQHdjYlAIJATq2O62X+mPy
gzIRQwfSzcCV2isPpcHM8JRyVOKiCjFY3P+fnhWSHtri0hWrSWoY1LNZffAFM6l8
0CbMYGa6PWfvzpcEaveFEBIFK4EEACMEIwQAz4bUtXWqk9w1KSryZ1auoXTDRmgE
iJ5xE9/V1ttjLEbBw53No9uCtMc40Ehw5WVOFmHIPvJPNLkKrWssvmWC8n4ABFiS
+k0m8v4OnP18v08JESELhMwhbBATQV8UdmnIOtzhDyFG0j18pjtVg48oXmkF7HIY
5r8dPdJ7242Ro4xGWp0DAQoJwroEGBMKACAFAmr3hRAWIQQ4jLBEnaJ5ELUAiS8o
h3yNEMB9rQIbDAAKCRAoh3yNEMB9rZTKAgjMoZTROxBjdmuf+5rlIPWMBjSt8vpq
6cYfwkPOFzxUg045F7VqNFPZ8X6CX9KLtkAOqcvcOW4PiW+AmI+8UVTaMAIIwogA
MoNzCqdhP+vAgutG6tPzTGXVWvyNIKLYdsoStr6LgYA/VS2+KRL1T9AnAIyRZV8j
NeMtEhQ0R1UXPw/ZBC0=
=HHLZ
-----END PGP PUBLIC KEY BLOCK-----
Lagda ng test_1MB.bin
Hiwalay na ASCII-armored na lagda ng test_1MB.bin na ginawa gamit ang key na ito sa CH-J Tools. I-save ito bilang test_1MB.bin.asc sa tabi ng test file.
I-download → 321 byte
-----BEGIN PGP SIGNATURE-----
wrkEABMKAB0WIQQ4jLBEnaJ5ELUAiS8oh3yNEMB9rQUCaveO8gAKCRAoh3yNEMB9
rS16AgkBMs9gBLcZjWGoYRm/zfqJ9trutvmEMEeDhm66YDIB7BSWRmnAawOkmbcy
B0PVIXuZOA+DXryclmrNkveCvDOL4Z8CCQHNBslMJJnLM+F+hNcgk7evcHRYMIbm
P/pfvs5yxczoXu1y2CqAkE+47Xo630wEhflzPAUiJyJSu3lzBGco8XoyKw==
=Vt7z
-----END PGP SIGNATURE-----
I-verify ang lagda
Gumagana ang mga key sa bersiyong 4 sa GnuPG at sa mga SOP tool gaya ng sqop o rsop, hangga't suportado ang mga algorithm. Gumamit ng pansamantalang GNUPGHOME upang hindi mapunta ang test key sa tunay mong keyring:
gpg --import pgp-example-23-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin